_base=fmiprecice
pkgname=${_base}-git
_pkgname=${pkgname%-git}
pkgdesc="A tool to co-simulate FMU models with the coupling library preCICE (git version)"
pkgver=r8.43c2eea
pkgrel=1
arch=(any)
url="https://github.com/precice/${_base/precice/-runner}"
license=(LGPL3)
depends=(python-pyprecice python-fmpy)
makedepends=(python-build python-installer python-setuptools python-wheel git)
checkdepends=(python-pandas) # pytest
source=("git+${url}.git#branch=main")
sha512sums=('SKIP')
provides=(${_pkgname})
conflicts=(${_pkgname})

pkgver() {
  cd ${_base/precice/-runner}
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

build() {
  cd ${_base/precice/-runner}
  python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd ${_base/precice/-runner}/tests
  python -m venv --system-site-packages test-env
  test-env/bin/python -m installer ../dist/*.whl
  PATH="${srcdir}/${_base/precice/-runner}/tests/test-env/bin:$PATH"
  pushd SolverOne
  fmiprecice ./fmi-settings.json ./precice-settings.json &
  popd
  pushd SolverTwo
  fmiprecice ./fmi-settings.json ./precice-settings.json &
  popd
  test-env/bin/python test.py
}

package() {
  cd ${_base/precice/-runner}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -m installer --destdir="${pkgdir}" dist/*.whl
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${_pkgname}"
}
